Entwurf Hochstufen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Upgrade and the translation is 94% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Draft Split.svg Teilen
Nächste: Herabstufen Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Entwurf Hochstufen

Menüeintrag
Entwurf → Hochstufen
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
U P
Eingeführt in Version
-
Siehe auch
Entwurf Herabstufen

Beschreibung

Der Draft Upgrade.svg Der Befehl Entwurf Hochstufen aktualisiert ausgewählte 2D Objekte. Das Ergebnis ist abhängig von der Anzahl der ausgewählten Objekte und deren Typ. Der Befehl kann zum Beispiel Elemente verschmelzen und Flächen erzeugen. Es lohnt sich, eine Auswahl mehrmals zu aktualisieren, um zu sehen, ob ein besseres Ergebnis erzielt werden kann. Siehe das Beispiel im Bild. Beachte, dass nicht alle Objekte hochgestuft werden können. Dieser Befehl ist das Gegenstück zum Befehl Entwurf Herabstufen.

Draft Upgrade example.jpg

Ein offener nicht editierbarer Draht wird zu einem geschlossenen Draht und dann zu einer Fläche hochgestuft. Ein geschlossener, nicht editierbarer quadratischer Draht wird ebenfalls zu einer Fläche hochgestuft. Die beiden Flächen werden dann hochgestuft, um einen Verbund zu erstellen, der schließlich zu einem einzelnen bearbeitbaren Entwurf Draht hochgestuft wird.

Anwendung

  1. Wähle optional ein oder mehrere Objekte aus.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Draft Upgrade.svg Entwurf Hochstufen.
    • Wähle die Option Änderung → Draft Upgrade.svg Hochstufen aus dem Menü.
    • Verwende das Tastaturkürzel: U und dann P.
  3. Wenn du noch kein Objekt ausgewählt hast: Wähle ein Objekt in der 3D Ansicht.

Hinweise

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um Objekte hochzustufen, verwende die upgrade Methode des Entwurf Moduls.

upgrade_list = upgrade(objects, delete=False, force=None)
  • objects enthält die zu aktualisierenden Objekte. Es ist entweder ein einzelnes Objekt oder eine Liste von Objekten.
  • Wenn delete gleich True ist, werden die Quellobjekte gelöscht.
  • force erzwingt eine bestimmte Art des Upgrades durch den Aufruf einer bestimmten internen Funktion. Das kann sein: "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires" oder "turnToLine".
  • upgrade_list wird zurückgegeben. Es ist eine Liste, die zwei Listen enthält: eine Liste der neuen Objekte und eine Liste der zu löschenden Objekte. Wenn delete True ist, ist die zweite Liste leer.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle = Draft.make_circle(1000)
rectangle = Draft.make_rectangle(2000, 800)
doc.recompute()

add_list1, delete_list1 = Draft.upgrade([circle, rectangle], delete=False)

line1 = Draft.make_line(App.Vector(2000, 0, 0), App.Vector(2500, 1500, 0))
line2 = Draft.make_line(App.Vector(2500, 1500, 0), App.Vector(3000, -1000, 0))
doc.recompute()

add_list2, delete_list2 = Draft.upgrade([line1, line2], delete=False)

simple_wire = add_list2[0]
add_list3, delete_list3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = add_list3[0]
add_list4, delete_list4 = Draft.upgrade(closed_wire, delete=False)

face = add_list4[0]
add_list5, delete_list5 = Draft.upgrade(face, delete=False)

doc.recompute()


Arrow-left.svg Vorherige: Draft Split.svg Teilen
Nächste: Herabstufen Draft Downgrade.svg Arrow-right.svg